
#!/usr/bin/env python

"""
setup.py file for using SWIG to create the fcmp module  
"""

from distutils.core import setup, Extension


fcmp_module = Extension('_fcmp',
                           sources=['fcmp_wrap.c', 'fcmp.c'],
                           )

setup (name = 'fcmp',
       version = '1.0',
       author      = "jac/gsl",
       description = """Comparison of two floats with epsilon precision:
			returns 1 if x1 > x2, -1 if x1 < x2 and 0 if x1 == x2,
			within the desired precision.""",
       ext_modules = [fcmp_module],
       py_modules = ["fcmp"],
       )


